#ifndef __ITEXT_F2
#define __ITEXT_F2

#define CHU_KEY_C1	0xa2
#define CHU_KEY_C2	0xb0
#define WCHUS_1		0xa1
#define WCHUS_2 	0xda
#define WCHUE_1		0xa1
#define WCHUE_2 	0xdb
#define SCHUS_1		0xa1
#define SCHUS_2		0xce
#define SCHUE_2		0xcf
#define NOSTR_1		0xa3
#define SHARP_1		0xa1
#define SHARP_2		0xf4
#define ASTAR_2		0xf6
#define SKAKO_1		0xa1
#define SKAKO_2		0xca
#define EKAKO_2		0xcb
#define SKAGI_1		0xa1
#define SKAGI_2		0xd6
#define EKAGI_2		0xd7
#define SRUBY_1		0xa1
#define SRUBY_2		0xd4
#define ERUBY_2		0xd5			
#define LRUBU_1		0xa1
#define LRUBU_2		0xc3

#ifdef ITEXT_STR
char *STR_HEAD_LINE =	"---------";
char *STR_HEAD_LINE1 = "=========";
char *CHU_SMALL_STR0 = "";
char *CHU_SMALL_STR1 = "";
char *CHU_SMALL_STR2 = "";
char *CHU_SMALL_STR3 = "";
char *CHU_SMALL_STR3_1 = "";
char *CHU_SMALL_STR4 = "";
char *CHU_SMALL_STR4_1 = "";
char *CHU_BOUTEN_STR = "˵";
char *CHU_BOUSEN_STR = "˵";
char *CHU_JI_STR0 = "Ϥ";
char *CHU_JI_STR1 = "դ";
char *CHU_JI_STR2 = "Ϥ";
char *CHU_JI_STR3 = "";
char *CHU_JI_STR4 = "·";
char *CHU_JI_STR5 = "ϴ";
char *CHU_TE_STR0 = "ŷ";
char *CHU_TE_STR1 = "ŷ";
#else
extern char *STR_HEAD_LINE;
extern char *STR_HEAD_LINE1;
extern char *CHU_SMALL_STR0;
extern char *CHU_SMALL_STR1;
extern char *CHU_SMALL_STR2;
extern char *CHU_SMALL_STR3;
extern char *CHU_SMALL_STR3;
extern char *CHU_SMALL_STR4;
extern char *CHU_SMALL_STR4;
extern char *CHU_BOUTEN_STR;
extern char *CHU_BOUSEN_STR;
extern char *CHU_JI_STR0;
extern char *CHU_JI_STR1;
extern char *CHU_JI_STR2;
extern char *CHU_JI_STR3;
extern char *CHU_JI_STR4;
extern char *CHU_JI_STR5;
extern char *CHU_TE_STR0;
extern char *CHU_TE_STR1;
#endif

typedef struct BOUTENDATA{
        char *name;
        unsigned int c1,c2;
}BOUTEN_T;

#ifdef ITEXT_BOUTYPE

BOUTEN_T bouten_type[] = {
        {"˵",0xa1,0xf6},
        {"򥴥˵",0xa1,0xf6},
        {"˵",0xa1,0xfc},
        {"˵",0xa1,0xfb},
        {"˵",0xa2,0xa5},
        {"򻰳˵",0xa2,0xa4},
        {"Ŵ˵",0xa1,0xfd},
        {"ؤ˵",0xa1,0xfe}
};
BOUTEN_T bousen_type[] = {
        {"˵",0,0},
        {"",0,0},
        {"",0,0},
        {"",0,0},
        {"˵",0,0}
};
#endif

#endif
